Subject: Re: [regression] 2.6.39-rc[1-3] fail to boot on G5 PowerMac

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 13 Apr 2011 18:58:22 +1000

On Wed, 2011-04-13 at 10:16 +0200, Mikael Pettersson wrote:
>  > Ok so on a PowerMac7,3 here (dual 2.5Ghz and mostly same HW or at least
>  > very similar) I can't reproduce your problem with a g5_defconfig.
>  > 
>  > Your config doesn't work well for me (I don't do modules, I netboot),
>  > but after adding a few things to it, it seems to work fine as well. I
>  > added radeonfb and the radeon DRM (not KMS) and I added eventfd, timerfd
>  > and input events.
>  > 
>  > So I'm afraid I'm going to need you to bisect that one to find out what
>  > exact change caused the breakage for you.
> 
> Thanks for checking.  I'll try a bisect later today. 

Actually I do get a crash in X later on... something in the radeon DRM
interrupt code is getting what looks like a NULL dereference. I'll try
to dig that one later on. I don't know if it's related to your problem
at all though.

Cheers,
Ben.